package cz.moneta.test.dsl.ufo.banka.pages.main;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS011_OBR001_SuspendDispositionPrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS046_S001_DocumentsProvidedToClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.KAK001_OBR001_ClientCardSentByEmailPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.TIS051_S001_DispositionGeneratePage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface ADC012_S001_SettingADCTransitions extends WebFlow<ADC012_S001_SettingADCTransitions> {

    TIS011_OBR001_PrintOptionsPage onPrintOptionsPage();

    TIS011_OBR001_SuspendDispositionPrintPage onDispositionPrintPage();

    TIS051_S001_DispositionGeneratePage onDispositionGeneratePage();

    HKO101_S001_MainClientPage onMainClientPage();

    KAK001_OBR001_ClientCardSentByEmailPage onClientCardSentByEmailPage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvidedToClientPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();
}